import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/customerAccount/` + url, ...arg)

/**
 * 客户账号Api接口管理器
 *
 * @author sandy
 * @date  2025/04/09 17:00
 **/
export default {
	// 获取客户账号分页
	customerAccountPage(data) {
		return request('page', data, 'get')
	},
	// 提交客户账号表单 edit为true时为编辑，默认为新增
	customerAccountSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除客户账号
	customerAccountDelete(data) {
		return request('delete', data)
	},
}
